curl --request PATCH \
--url https://api.sandbox.tesouro.com/finops/v1/payable-credit-notes/{credit_note_id}/line-items/{line_item_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'x-finops-version: <x-finops-version>' \
--header 'x-organization-id: <x-organization-id>' \
--data '
{
"description": "Premium version of Product XYZ with extended warranty",
"name": "Product XYZ",
"quantity": 2,
"tax": 1250,
"unit": "pieces",
"unit_price": 5000
}
'import requests
url = "https://api.sandbox.tesouro.com/finops/v1/payable-credit-notes/{credit_note_id}/line-items/{line_item_id}"
payload = {
"description": "Premium version of Product XYZ with extended warranty",
"name": "Product XYZ",
"quantity": 2,
"tax": 1250,
"unit": "pieces",
"unit_price": 5000
}
headers = {
"x-finops-version": "<x-finops-version>",
"x-organization-id": "<x-organization-id>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {
'x-finops-version': '<x-finops-version>',
'x-organization-id': '<x-organization-id>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
description: 'Premium version of Product XYZ with extended warranty',
name: 'Product XYZ',
quantity: 2,
tax: 1250,
unit: 'pieces',
unit_price: 5000
})
};
fetch('https://api.sandbox.tesouro.com/finops/v1/payable-credit-notes/{credit_note_id}/line-items/{line_item_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "123e4567-e89b-12d3-a456-426614174000",
"created_at": "2024-01-15T14:30:00Z",
"updated_at": "2024-01-15T14:30:00Z",
"credit_note_id": "123e4567-e89b-12d3-a456-426614174000",
"created_by_user_id": "123e4567-e89b-12d3-a456-426614174000",
"description": "Premium version of Product XYZ with extended warranty",
"name": "Product XYZ",
"quantity": 2,
"subtotal": 10000,
"tax": 20,
"tax_amount": 2000,
"total": 12000,
"unit": "pieces",
"unit_price": 5000
}{
"error": {
"message": "<string>"
}
}{
"error": {
"message": "<string>"
}
}{
"error": {
"message": "<string>"
}
}{
"error": {
"message": "<string>"
}
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}{
"error": {
"message": "<string>"
}
}Update credit note item
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
The ID of the entity that owns the requested resource.
"9d2b4c8f-2087-4738-ba91-7359683c49a4"
Body
Schema for updating an existing credit note line item. All fields are optional.
Detailed description of the line item
"Premium version of Product XYZ with extended warranty"
Name or title of the line item
"Product XYZ"
Quantity of items
x >= 02
Unit of measurement
"pieces"
Price per unit in smallest currency unit
5000
Response
Successful Response
Schema for credit note line item response. Includes all fields that can be returned from the API.
Unique identifier of the line item
"123e4567-e89b-12d3-a456-426614174000"
Timestamp when the line item was created
"2024-01-15T14:30:00Z"
Timestamp when the line item was last updated
"2024-01-15T14:30:00Z"
ID of the parent credit note
"123e4567-e89b-12d3-a456-426614174000"
ID of the user who created the line item
"123e4567-e89b-12d3-a456-426614174000"
Detailed description of the line item
"Premium version of Product XYZ with extended warranty"
Name or title of the line item
"Product XYZ"
Quantity of items
x >= 02
Subtotal amount before tax
10000
Tax percentage
x >= 020
Tax amount
2000
Total amount including tax
12000
Unit of measurement
"pieces"
Price per unit in smallest currency unit
5000
Was this page helpful?